GDAL-VECTOR-CONVERT(1)

NAME
gdal-vector-convert - Convert a vector dataset

Added in version 3.11.

SYNOPSIS

    Usage: gdal vector convert [OPTIONS] <INPUT> <OUTPUT>
    Convert a vector dataset.
    Positional arguments:
      -i, --input <INPUT>                                  Input vector dataset [required]
      -o, --output <OUTPUT>                                Output vector dataset [required]
    Common Options:
      -h, --help                                           Display help message and exit
      --json-usage                                         Display usage as JSON document and exit
      --config <KEY>=<VALUE>                               Configuration option [may be repeated]
      --progress                                           Display progress bar
    Options:
      -f, --of, --format, --output-format <OUTPUT-FORMAT>  Output format
      --co, --creation-option <KEY>=<VALUE>                Creation option [may be repeated]
      --lco, --layer-creation-option <KEY>=<VALUE>         Layer creation option [may be repeated]
      --overwrite                                          Whether overwriting existing output is allowed
      --update                                             Whether to open existing dataset in update mode
      --overwrite-layer                                    Whether overwriting existing layer is allowed
      --append                                             Whether appending to existing layer is allowed
      -l, --layer, --input-layer <INPUT-LAYER>             Input layer name(s) [may be repeated]
      --output-layer <OUTPUT-LAYER>                        Output layer name
    Advanced Options:
      --oo, --open-option <KEY>=<VALUE>                    Open options [may be repeated]
      --if, --input-format <INPUT-FORMAT>                  Input formats [may be repeated]

DESCRIPTION

gdal vector convert can be used to convert data data between different formats.

The following options are available:

  Standard options

-f, --of, --format, --output-format <OUTPUT-FORMAT>
    Which output vector format to use. Allowed values may be given by gdal --formats | grep vector | grep rw | sort

--co <NAME>=<VALUE>
    Many formats have one or more optional dataset creation options that can be used to control particulars about the file created. For instance, the GeoPackage driver supports creation options to control the version.

    May be repeated.

    The dataset creation options available vary by format driver, and some simple formats have no creation options at all. A list of options supported for a format can be listed with the --formats command line option but the documentation for the format is the definitive source of information on driver creation options. See Vector drivers format specific documentation for legal creation options for each format.

    Note that dataset creation options are different from layer creation options.

--layer-creation-option <NAME>=<VALUE>
    Many formats have one or more optional layer creation options that can be used to control particulars about the layer created. For instance, the GeoPackage driver supports layer creation options to control the feature identifier or geometry column name, setting the identifier or description, etc.

    May be repeated.

    The layer creation options available vary by format driver, and some simple formats have no layer creation options at all. A list of options supported for a format can be listed with the --formats command line option but the documentation for the format is the definitive source of information on driver creation options. See Vector drivers format specific documentation for legal creation options for each format.

    Note that layer creation options are different from dataset creation options.

--overwrite
    Allow program to overwrite existing target file or dataset. Otherwise, by default, gdal errors out if the target file or dataset already exists.

--update
    Whether the output dataset must be opened in update mode. Implies that it already exists. This mode is useful when adding new layer(s) to an already existing dataset.

--overwrite-layer
    Whether overwriting existing layer(s) is allowed.

--append
    Whether appending features to existing layer(s) is allowed

-l, --layer <LAYER>
    Name of one or more layers to inspect. If no layer names are passed, then all layers will be selected.

--output-layer <OUTPUT-LAYER>
    Output layer name. Can only be used to rename a layer, if there is a single input layer.

  Advanced options

--oo <NAME>=<VALUE>
    Dataset open option (format specific).

    May be repeated.

--if <format>
    Format/driver name to be attempted to open the input file(s). It is generally not necessary to specify it, but it can be used to skip automatic driver detection, when it fails to select the appropriate driver. This option can be repeated several times to specify several candidate drivers. Note that it does not force those drivers to open the dataset. In particular, some drivers have requirements on file extensions.

    May be repeated.

EXAMPLES

  Example 1: Converting file poly.shp to a GeoPackage

    $ gdal vector convert poly.shp output.gpkg

  Example 2: Add new layer from file line.shp to an existing GeoPackage, and rename it "lines"

    $ gdal vector convert --update --output-layer=lines line.shp output.gpkg

  Example 3: Append features from from file poly2.shp to an existing layer poly of a GeoPackage, with progress bar

    $ gdal vector convert --append --output-layer=poly --progress poly2.shp output.gpkg

AUTHOR
Even Rouault <even.rouault@spatialys.com>

COPYRIGHT
1998-2025